@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lemon&display=swap');

:root {
    --laranja-claro: #df006ff5;
}

body {
    font-size: 1rem;
    font-family: 'Montserrat';
    background-color: hsla(39, 74%, 82%, 0.692);
}

header {
    background-color: hsla(19, 94%, 50%, 0.692);
}


section {
    padding-bottom: 6rem;
}


.nav-link {
    color: #e21c65;
    font-weight: 600;
}

.inicio-fundo {
    /* aula 3 */
    background-image: url('img/4965007.jpg');
    /* Substitua pelo caminho da sua imagem */
    background-size: cover;
    background-position: right;
    border-radius: 80px;
    width: 100%;
    height: 606px;
    padding: 40px;
    margin: 0 auto;
}

/* posicionamento para a imagem à direita */
.img-inicio {
    position: absolute;
    right: 0;
    top: 18rem;
    width: 45rem;
    height: auto;
}


.esquerda-conteudo {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
}


.botao-inicio {
    background-color: var(--laranja-claro);
    border-radius: 30px;
    border: none;
    width: 14em;
    /* Convertido para em aumenta o tamanho da fonte por tabela*/
    height: 3em;
    /* Convertido para em */
    align-content: center;

}

.display-4 {
    text-shadow: -5px 5px var(--laranja-claro);
}


#tropicalia {
    position: relative;
    padding-top: 5rem;
    margin-top: 3rem;
    margin-bottom: 3rem;
    background: url('img/flor.png') top right no-repeat,
        url('img/flor-esquerda.png') bottom left no-repeat;
    background-size: 180px 180px;
    /* Ajuste o tamanho conforme necessário */
}

#tropicalia .container {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 1;
    /* Garante que o conteúdo fica acima das imagens do background */
}

h1 {
    font-family: 'Lemon', serif;
    font-size: 3.3em;
    font-style: normal;
    color: var(--laranja-claro);
h2 {
    font-family: 'Lemon', serif;
    font-size: 2.9em;
    font-style: normal;
    color: var(--laranja-claro);
}

#galeria {
    background-color: #ff0062ef;

}

.fundo-galeria {
    background: url('img/flor-bottom-direita.png') bottom right no-repeat;
    background-size: 180px 180px;
}

#contato {
    background-image: url('img/4965007.jpg');
    background-size: cover;
    padding: 4rem 0;
    /* Espaçamento interno para a seção de contato */

}

.formulario {
    background-color: #e67308d8;
    padding: 2rem;
    /* Espaçamento interno dentro do formulário */
    border-radius: 10px;
    /* Borda arredondada para o formulário */
    box-shadow: 0 0 10px rgba(218, 105, 13, 0.788);
    /* Sombra suave para destacar o formulário */
    font-weight: bold;
}

.formulario button {
    background-color: #f85a1bb6;
    border: none;
    font-weight: bold;
}

.menu-acessibilidade{
    position: fixed;
    top:2rem;
    right:20px;
    z-index: 1000;
    }
    
    .rotacao-botao{
    transform: rotate(-90deg);
    transform-origin: right center;
    }
    
    .opcoes-acessibilidade{
    margin-top:10px;
    display: flex;
    flex-direction: column;
    }
    
    .opcoes-acessibilidade button{
    margin-bottom: 5px;
    }
    
    .apresenta-lista{
    display:none;
    }
    
    .alto-contraste{
    
    background-color: var(--alto-contraste-
    fundo);
    
    color: var(--alto-contraste-texto);
    }
    
    .alto-contraste header,
    .alto-contraste footer,
    .alto-contraste .formulario{
    
    background-color: var(--alto-contraste-
    fundo);
    
    color: var(--alto-contraste-texto);
    }
    
    .alto-contraste .nav-link{
    color: var(--alto-contraste-link);
    }
    
    .alto-contraste .botao-inicio,
    .alto-contraste .formulario button,
    .alto-contraste .btn-primary{
    background-color: var(--alto-contraste-link);
    color: var(--alto-contraste-fundo)
    }
    
    .alto-contraste #tropicalia {
    background: none;
    }
    
    .alto-contraste #galeria {
    
    background-color: var(--alto-contraste-
    fundo);
    
    }
    
    .alto-contraste .fundo-galeria {
    background: none;
    }
    .menu-acessibilidade{
        position: fixed;
        top:2rem;
        right:20px;
        z-index: 1000;
        }
        
        .rotacao-botao{
        transform: rotate(-90deg);
        transform-origin: right center;
        }
        
        .opcoes-acessibilidade{
        margin-top:10px;
        display: flex;
        flex-direction: column;
        }
        
        .opcoes-acessibilidade button{
        margin-bottom: 5px;
        }
        
        .apresenta-lista{
        display:none;
        }
        
        .alto-contraste{
        
        background-color: var(--alto-contraste-
        fundo);
        
        color: var(--alto-contraste-texto);
        }
        
        .alto-contraste header,
        .alto-contraste footer,
        .alto-contraste .formulario{
        
        background-color: var(--alto-contraste-
        fundo);
        
        color: var(--alto-contraste-texto);
        }
        
        .alto-contraste .nav-link{
        color: var(--alto-contraste-link);
        }
        
        .alto-contraste .botao-inicio,
        .alto-contraste .formulario button,
        .alto-contraste .btn-primary{
        background-color: var(--alto-contraste-link);
        color: var(--alto-contraste-fundo)
        }
        
        .alto-contraste #tropicalia {
        background: none;
        }
        
        .alto-contraste #galeria {
        
        background-color: var(--alto-contraste-
        fundo);
        
        }
        
        .alto-contraste .fundo-galeria {
        background: none;